Skip to main content
GET
/
external_cards
/
{external_card_id}
Get External Card
curl --request GET \
  --url https://api-sandbox.synctera.com/v0/external_cards/{external_card_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-sandbox.synctera.com/v0/external_cards/{external_card_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-sandbox.synctera.com/v0/external_cards/{external_card_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "currency": "USD",
  "customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
  "expiration_month": "06",
  "expiration_year": "25",
  "id": "<string>",
  "last_four": "1234",
  "name": "Jean Valjean",
  "bin": "<string>",
  "created_time": "2010-05-06T12:23:34.321Z",
  "deletion_time": "2010-05-06T12:23:34.321Z",
  "issuer": "<string>",
  "last_modified_time": "2010-05-06T12:23:34.321Z",
  "verifications": {
    "pull_enabled": true,
    "push_enabled": true,
    "pull_details": {
      "country": "US",
      "currency": "USD",
      "network": "<string>",
      "regulated": true
    },
    "push_details": {
      "country": "US",
      "currency": "USD",
      "network": "<string>",
      "regulated": true
    }
  }
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

external_card_id
string<uuid>
required

The unique identifier of an external card

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Response

External Card details

currency
string
required

ISO 4217 Alpha-3 currency code

Required string length: 3
Example:

"USD"

customer_id
string<uuid>
required

The unique identifier of a customer

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

expiration_month
string
required
read-only
Example:

"06"

expiration_year
string
required
read-only
Example:

"25"

id
string
required

External card ID

last_four
string
required
read-only

The last 4 digits of the card PAN

Example:

"1234"

name
string
required

The cardholder name

Example:

"Jean Valjean"

status
enum<string>
required

Status of an External Card

Available options:
ACTIVE,
DELETED,
SUSPENDED
bin
string

Bank Identification Number

created_time
string<date-time>
Example:

"2010-05-06T12:23:34.321Z"

deletion_time
string<date-time>
Example:

"2010-05-06T12:23:34.321Z"

issuer
string

Name of issuing financial institution

last_modified_time
string<date-time>
Example:

"2010-05-06T12:23:34.321Z"

verifications
object

Verify card passed AVS and CVV checks and if it able to perform PUSH/PULL transfers.